com.intellectualcrafters.plot.listeners

## Class PlayerEvents

- java.lang.Object
- - com.intellectualcrafters.plot.listeners.PlotListener
  - - com.intellectualcrafters.plot.listeners.PlayerEvents

- All Implemented Interfaces:
    org.bukkit.event.Listener

      public class PlayerEvents
      extends PlotListener
      implements org.bukkit.event.Listener

  Player Events involving plots

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerEvents()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `BlockCreate(org.bukkit.event.block.BlockPlaceEvent event)`
    `static void` | `BlockDestroy(org.bukkit.event.block.BlockBreakEvent event)`
    `static void` | `MobSpawn(org.bukkit.event.entity.CreatureSpawnEvent event)`
    `static void` | `onBD(org.bukkit.event.block.BlockDamageEvent e)`
    `static void` | `onBF(org.bukkit.event.block.BlockFormEvent e)`
    `static void` | `onBigBoom(org.bukkit.event.entity.EntityExplodeEvent event)`
    `static void` | `onBlockIgnite(org.bukkit.event.block.BlockIgniteEvent e)`
    `static void` | `onBlockPistonExtend(org.bukkit.event.block.BlockPistonExtendEvent e)`
    `static void` | `onBlockPistonRetract(org.bukkit.event.block.BlockPistonRetractEvent e)`
    `static void` | `onBS(org.bukkit.event.block.BlockSpreadEvent e)`
    `static void` | `onBucketEmpty(org.bukkit.event.player.PlayerBucketEmptyEvent e)`
    `static void` | `onBucketFill(org.bukkit.event.player.PlayerBucketFillEvent e)`
    `static void` | `onChange(org.bukkit.event.block.BlockFromToEvent e)`
    `void` | `onChangeWorld(org.bukkit.event.player.PlayerChangedWorldEvent event)`
    `static void` | `onChat(org.bukkit.event.player.AsyncPlayerChatEvent event)`
    `static void` | `onEntityBlockForm(org.bukkit.event.block.EntityBlockFormEvent event)`
    `static void` | `onEntityDamageByEntityEvent(org.bukkit.event.entity.EntityDamageByEntityEvent e)`
    `static void` | `onFade(org.bukkit.event.block.BlockFadeEvent e)`
    `static void` | `onGrow(org.bukkit.event.block.BlockGrowEvent e)`
    `static void` | `onHangingBreakByEntity(org.bukkit.event.hanging.HangingBreakByEntityEvent e)`
    `static void` | `onHangingPlace(org.bukkit.event.hanging.HangingPlaceEvent e)`
    `static void` | `onInteract(org.bukkit.event.player.PlayerInteractEvent event)`
    `static void` | `onInventoryClick(org.bukkit.event.inventory.InventoryClickEvent event)`
    `static void` | `onJoin(org.bukkit.event.player.PlayerJoinEvent event)`
    `static void` | `onLeave(org.bukkit.event.player.PlayerQuitEvent event)`
    `static void` | `onPeskyMobsChangeTheWorldLikeWTFEvent(org.bukkit.event.entity.EntityChangeBlockEvent event)`
    `static void` | `onPlayerEggThrow(org.bukkit.event.player.PlayerEggThrowEvent e)`
    `static void` | `onPlayerInteractEntity(org.bukkit.event.player.PlayerInteractEntityEvent e)`
    `static void` | `onStructureGrow(org.bukkit.event.world.StructureGrowEvent e)`
    `static void` | `onTeleport(org.bukkit.event.player.PlayerTeleportEvent event)`
    `static void` | `onWorldLoad(org.bukkit.event.world.WorldLoadEvent event)`
    `static void` | `PlayerMove(org.bukkit.event.player.PlayerMoveEvent event)`

    - ### Methods inherited from class com.intellectualcrafters.plot.listeners.PlotListener

      `blockChange, booleanFlag, enteredPlot, getCurrentPlot, getFlagValue, getName, getPlot, getPlotWorld, getUUID, isInPlot, isInPlot, isPlotWorld, isPlotWorld, leftPlot, plotEntry, plotExit, textures`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayerEvents

          public PlayerEvents()

  - ### Method Detail

    - #### onWorldLoad

          public static void onWorldLoad(org.bukkit.event.world.WorldLoadEvent event)

    - #### onJoin

          public static void onJoin(org.bukkit.event.player.PlayerJoinEvent event)

    - #### PlayerMove

          public static void PlayerMove(org.bukkit.event.player.PlayerMoveEvent event)

    - #### onChat

          public static void onChat(org.bukkit.event.player.AsyncPlayerChatEvent event)

    - #### BlockDestroy

          public static void BlockDestroy(org.bukkit.event.block.BlockBreakEvent event)

    - #### onBigBoom

          public static void onBigBoom(org.bukkit.event.entity.EntityExplodeEvent event)

    - #### onPeskyMobsChangeTheWorldLikeWTFEvent

          public static void onPeskyMobsChangeTheWorldLikeWTFEvent(org.bukkit.event.entity.EntityChangeBlockEvent event)

    - #### onEntityBlockForm

          public static void onEntityBlockForm(org.bukkit.event.block.EntityBlockFormEvent event)

    - #### onBS

          public static void onBS(org.bukkit.event.block.BlockSpreadEvent e)

    - #### onBF

          public static void onBF(org.bukkit.event.block.BlockFormEvent e)

    - #### onBD

          public static void onBD(org.bukkit.event.block.BlockDamageEvent e)

    - #### onFade

          public static void onFade(org.bukkit.event.block.BlockFadeEvent e)

    - #### onChange

          public static void onChange(org.bukkit.event.block.BlockFromToEvent e)

    - #### onGrow

          public static void onGrow(org.bukkit.event.block.BlockGrowEvent e)

    - #### onBlockPistonExtend

          public static void onBlockPistonExtend(org.bukkit.event.block.BlockPistonExtendEvent e)

    - #### onBlockPistonRetract

          public static void onBlockPistonRetract(org.bukkit.event.block.BlockPistonRetractEvent e)

    - #### onStructureGrow

          public static void onStructureGrow(org.bukkit.event.world.StructureGrowEvent e)

    - #### onInteract

          public static void onInteract(org.bukkit.event.player.PlayerInteractEvent event)

    - #### MobSpawn

          public static void MobSpawn(org.bukkit.event.entity.CreatureSpawnEvent event)

    - #### onBlockIgnite

          public static void onBlockIgnite(org.bukkit.event.block.BlockIgniteEvent e)

    - #### onTeleport

          public static void onTeleport(org.bukkit.event.player.PlayerTeleportEvent event)

    - #### onBucketEmpty

          public static void onBucketEmpty(org.bukkit.event.player.PlayerBucketEmptyEvent e)

    - #### onInventoryClick

          public static void onInventoryClick(org.bukkit.event.inventory.InventoryClickEvent event)

    - #### onLeave

          public static void onLeave(org.bukkit.event.player.PlayerQuitEvent event)

    - #### onBucketFill

          public static void onBucketFill(org.bukkit.event.player.PlayerBucketFillEvent e)

    - #### onHangingPlace

          public static void onHangingPlace(org.bukkit.event.hanging.HangingPlaceEvent e)

    - #### onHangingBreakByEntity

          public static void onHangingBreakByEntity(org.bukkit.event.hanging.HangingBreakByEntityEvent e)

    - #### onPlayerInteractEntity

          public static void onPlayerInteractEntity(org.bukkit.event.player.PlayerInteractEntityEvent e)

    - #### onEntityDamageByEntityEvent

          public static void onEntityDamageByEntityEvent(org.bukkit.event.entity.EntityDamageByEntityEvent e)

    - #### onPlayerEggThrow

          public static void onPlayerEggThrow(org.bukkit.event.player.PlayerEggThrowEvent e)

    - #### onChangeWorld

          public void onChangeWorld(org.bukkit.event.player.PlayerChangedWorldEvent event)

    - #### BlockCreate

          public void BlockCreate(org.bukkit.event.block.BlockPlaceEvent event)